petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBDDCSetLocalAdjacencyGraph

Set adjacency structure (CSR graph) of the local matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLocalAdjacencyGraph(PC pc,PetscInt nvtxs,const PetscInt xadj[],const PetscInt adjncy[], PetscCopyMode copymode)

Not collective Many br

### Input Parameters

| pc | - the preconditioning context Many br
| nvtxs | - number of local vertices of the graph (i.e., the size of the local problem) Many br
| xadj, adjncy | - the CSR graph Many br
| copymode | - either PETSC_COPY_VALUES or PETSC_OWN_POINTER. Many br

Many br

### Notes

### See Also

PCBDDC,PetscCopyMode

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages